from adg_control import AdgClient, ADG_EXE, ADG_DIR
from parser import Parser
from cache import Cache
from sys import argv


def main():
    print(argv[1])
    parser = Parser(argv[1])
    client = AdgClient(ADG_EXE, ADG_DIR)
    cache = Cache()

    for command in parser.commands:
        print(command.type)
        command.execute(client, cache)


if __name__ == "__main__":
    main()
